Subject: Re: [bug#68289] [PATCH] services: xorg: Add xorg-start-command-xinit procedure.

From: Tomas Volf <[email-masked]>
Date: Thu, 2 May 2024 16:58:02 +0200

On 2024-05-02 11:55:28 +0200, Ludovic Courtès wrote:
> Hi!

Hi :)

> Tomas Volf <[email-masked]> skribis:
> > [..]
>
> I hadn’t seen this patch; having a ‘startx’ command is something that
> has often been asked, so I’m glad you’re fixing it!
>
> The patch and the suggestions Fabio made look great to me.  Perhaps a
> useful addition would be to add a service so one can write nothing more
> than:
>
>   (service startx-command-service-type)
>
> to get a ‘startx’ command?  (Not a blocker though.)

That sounds useful and I have no issue adding it into the v2.  Could I just ask
you for a guidance regarding how to achieve that?  Currently I just place the
script into ~/bin (which I have in the $PATH).  I assume the service will have
to place the file... somewhere? on the $PATH to achieve the same.

Is there already existing service I could use as an inspiration?

Thanks,
Tomas

--
There are only two hard things in Computer Science:
cache invalidation, naming things and off-by-one errors.